#ifndef QUALENDARITEM_H
#define QUALENDARITEM_H

class EffectiveEvent;
class QualendarTask;

class QualendarItem {
 public:
  QualendarItem() {type = Invalid;}
  QualendarItem(const EffectiveEvent &e) {setItem(e);}
  QualendarItem(const QualendarTask &t) {setItem(t);}
  void clear() {type = Invalid;}
  void setItem(const EffectiveEvent &e) {type = Event; event = &e;}
  void setItem(const QualendarTask &t) {type = Task; task = &t;}
  enum Type {Invalid, Event, Task};
  Type type;
  union {
    const EffectiveEvent *event;
    const QualendarTask *task;
  };
};

#endif // QUALENDARITEM_H
