#ifndef _QUALENDARDB_H_
#define _QUALENDARDB_H_

#include <qobject.h>
#include <qpe/event.h>

class QualendarDB : public QObject {
  Q_OBJECT
 public:
  QualendarDB();
  virtual ~QualendarDB() = 0;

  virtual void reload() = 0;
  virtual bool save() = 0;

  void setSignalEnabled(bool);

 protected:
  void emitSignal();

  bool signalEnabled;
  bool dataDirty;

 signals:
  void exception(QString, QString);
  void dataChanged();
};

#endif // _QUALENDARDB_H_
