#ifndef QUALENDARSYSDEP_H
#define QUALENDARSYSDEP_H

#include <qstring.h>
#include "qualendareventdb.h"
#include "qualendartaskdb.h"
#include "qualendarcategory.h"

class QualendarEventDB;
class QualendarTaskDB;
class Event;
class QDate;
class QDateTime;

class QualendarSysdep {
 public:
  static QualendarEventDB *eventDB();
  static QualendarTaskDB *taskDB();
  static QString deviceName();
  static QString type();
  static QString todoBin();
  //  static QString version();

  static void playScheduleAlarm();
  static void setLED(bool b);
};

#endif // QUALENDARSYSDEP_H
