#include <qtextbrowser.h>

class MyTextBrowser : public QTextBrowser {
  Q_OBJECT
public: 
  MyTextBrowser(QWidget *parent, const char *name) : 
    QTextBrowser(parent, name) {};
 protected:
  void setSource(const QString &);
  void viewportMousePressEvent( QMouseEvent* );
  void viewportMouseMoveEvent( QMouseEvent* );
  void keyPressEvent(QKeyEvent*);
 signals:
  void linkSelected(QString);
  void keyPressed(QKeyEvent*);
};
