#include "qualendarcategorycombo.h"

#include "../qualendarglobal.h"
#include "../sysdep/qualendarcategory.h"

QualendarCategoryCombo::QualendarCategoryCombo(QWidget *parent, const char* name) : QComboBox(parent, name) {
  sList = QualendarGlobal::categories.labels("Calendar");

  bool hasUnfiled = false;
  for(int i=0; i < sList.count(); i++) 
    if (sList[i] == tr("Unfiled"))
      hasUnfiled = true;
  if (!hasUnfiled)
    sList.prepend(tr("Unfiled"));
 
  insertStringList(sList);
}

void QualendarCategoryCombo::setCurrent(QString catName) {
  for(int i=0; i < sList.count(); i++) 
    if (catName == sList[i])
      setCurrentItem(i);
}
