#ifndef _QUALENDARCATEGORY_H_
#define _QUALENDARCATEGORY_H_

class QualendarCategoriesPrivate;
class QString;
class QStringList;

class QualendarCategories {
 public:
  QualendarCategories();
  ~QualendarCategories();
  bool load();
  bool save() const;
  QString label(const QString &, int) const;
  QStringList labels(const QString &) const;
  int id(const QString&, const QString&) const;
  int unfiled() const;

  int addCategory( const QString &appName, const QString &catName);
  bool removeCategory( const QString &appName, const QString &catName);
  bool renameCategory( const QString &appname,
					   const QString &oldName,
					   const QString &newName );
  

 private:
  QualendarCategoriesPrivate *d;
};

#endif // _QUALENDARCATEGORY_H_
