#include "qualendardb.h"

QualendarDB::QualendarDB() : signalEnabled(true), dataDirty(false) {
}

QualendarDB::~QualendarDB() {
}

void QualendarDB::setSignalEnabled(bool b) {
  signalEnabled = b;
  if (dataDirty) {
    dataDirty = false;
    emit dataChanged();
  }
}
void QualendarDB::emitSignal() {
  if (signalEnabled) {
    dataDirty = false;
    emit dataChanged();
  } else
    dataDirty = true;
}
