#ifndef _QUALENDARTASKDB_H_
#define _QUALENDARTASKDB_H_

#include <qmap.h>

#include "qualendartask.h"
#include "qualendardb.h"

class QualendarTaskDB : public QualendarDB {
  Q_OBJECT
 public:
  QualendarTaskDB();
  virtual ~QualendarTaskDB() = 0;

  virtual void reload() = 0;
  virtual bool save() = 0;

  virtual const QValueList<QualendarTask> &getTasks() const = 0;

  virtual void add(const QualendarTask &t) = 0; 
  virtual void edit(const QualendarTask &old, const QualendarTask &t) = 0;
  virtual void remove(const QualendarTask &t) = 0;
};
#endif // _QUALENDARTASKDB_H_
