#ifndef TODODIALOG_H
#define TODODIALOG_H

#include <qdatetime.h>

#include "tododialogbase.h"

class QualendarTask;

class TodoDialog : public TodoDialogBase {
  Q_OBJECT
 public:
  TodoDialog(const QualendarTask &, QDate d, QWidget *);
  QualendarTask task();
 private slots:
  void slotCheckBox();
  void slotStart();
  void slotDue();
  void slotFinish();
  void slotCut();
  void slotCopy();
  void slotPaste();
  void slotFile();

 private:
  void setButtonTexts();
  QString dateString(const QDate &d);

  QDate sd, dd, fd;
};

#endif TODODIALOG_H
