#ifndef DATEPICKER_H
#define DATEPICKER_H
#include <qpe/datebookmonth.h>
#include <qdialog.h>

class DatePickerDialog : public QDialog {
  Q_OBJECT
 public:
  DatePickerDialog(QWidget *, const QDate &);
  QDate date() {return QDate(y, m, d);};
  int year() {return y;};
  int month() {return m;};
  int day() {return d;};
 protected:
  void accept();
 private slots:
  void dateClicked(int, int, int);
 private:
  DateBookMonth* picker;
  int y, m, d;
};

#endif // DATEPICKER_H
