#ifndef QUALENDARDAYHEADER_H
#define QUALENDARDAYHEADER_H

#include "qualendarviewex.h"
class QPushButton;
class QHButtonGroup;

class QualendarDayHeader : public QualendarViewHeader {
  Q_OBJECT
 public:
  QualendarDayHeader(QWidget *);
  void setDate(const QDate &);
  void setFontSize(int);
  void setLabels();

 private slots:
  void slotFB();
  void slotB();
  void slotF();
  void slotFF();
  void slotDatePicker();
  void slotDayButton(int);
 private:
  void emitSignal();
  QPushButton *btnPicker;
  QHButtonGroup *bgDays;
  int lastButton;
};

#endif // QUALENDARDAYHEADER_H
