#ifndef QUALENDARMONTHHEADER_H
#define QUALENDARMONTHHEADER_H

#include "qualendarviewex.h"
class QSpinBox;
class QComboBox;
class QToolButton;

class QualendarMonthHeader : public QualendarViewHeader {
  Q_OBJECT
 public:
  QualendarMonthHeader(QWidget *);
  void setDate(const QDate &);
  void setFontSize(int);

 private slots:
  void slotFB();
  void slotB();
  void slotF();
  void slotFF();
  void slotYearChange(int);
  void slotMonthChange(int);
 private:
  void emitSignal();
  QSpinBox *sbYear;
  QComboBox *cbMonth;
  bool ignoreSignals;
};

#endif // QUALENDARMONTHHEADER_H
