#ifndef QUALENDARWEEKHEADER_H
#define QUALENDARWEEKHEADER_H

#include "qualendarviewex.h"
class QSpinBox;
class QLabel;

class QualendarWeekHeader : public QualendarViewHeader {
  Q_OBJECT
 public:
  QualendarWeekHeader(QWidget *);
  void setDate(const QDate &);
  void setFontSize(int);

 private slots:
  void slotB();
  void slotF();
  void slotYearChange(int);
  void slotWeekChange(int);
 private:
  void calcWeek(const QDate &, int &wk);
  void setLabel();
  void emitSignal();
  QSpinBox *sbYear, *sbWeek;
  QLabel *labelDates;
  bool ignoreSignals;
};

#endif // QUALENDARWEEKHEADER_H
